org.apache.tomcat.util.net

## Enum SocketStatus

- java.lang.Object
- - java.lang.Enum<SocketStatus>
  - - org.apache.tomcat.util.net.SocketStatus

- All Implemented Interfaces:
    Serializable, Comparable<SocketStatus>

      public enum SocketStatus
      extends Enum<SocketStatus>

  Someone, please change the enum name.
  Author:
    remm

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSE_NOW` Deprecated.
    `DISCONNECT`
    `ERROR`
    `OPEN_READ`
    `OPEN_WRITE`
    `STOP`
    `TIMEOUT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SocketStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SocketStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN_READ

          public static final SocketStatus OPEN_READ

    - #### OPEN_WRITE

          public static final SocketStatus OPEN_WRITE

    - #### STOP

          public static final SocketStatus STOP

    - #### TIMEOUT

          public static final SocketStatus TIMEOUT

    - #### DISCONNECT

          public static final SocketStatus DISCONNECT

    - #### ERROR

          public static final SocketStatus ERROR

    - #### CLOSE_NOW

          @Deprecated
          public static final SocketStatus CLOSE_NOW

      Deprecated.

  - ### Method Detail

    - #### values

          public static SocketStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SocketStatus c : SocketStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SocketStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.